Bug 1022273 - [deploy] node.js cartridge should not stash/restore repo/node_modules if force_clean_build=true
[deploy] node.js cartridge should not stash/restore repo/node_modules if forc...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 17:40 EDT by Andy Goldstein
Modified: 2015-05-14 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Goldstein 2013-10-22 17:40:40 EDT
Description of problem: The node.js cartridge's control script stashes and restores app-root/runtime/repo/node_modules even if force_clean_build is true. It should respect force_clean_build and not stash/restore if it's true.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. rhc app create myapp nodejs-0.6
2. edit package.json and add a dependency
3. git push
4. verify dependency exists in /var/lib/openshift/$uuid/app-root/runtime/repo/node_modules
5. remove dependency from package.json
6. add force_clean_build marker
7. git push

Actual results: dependency exists in /var/lib/openshift/$uuid/app-root/runtime/repo/node_modules


Expected results: dependency does NOT exist in /var/lib/openshift/$uuid/app-root/runtime/repo/node_modules


Additional info:
Comment 2 openshift-github-bot 2013-10-24 21:37:00 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/c5ee63a23cf4f381e9731a665b3fd0df5f623ac5
Bug 1022273: Handle force clean build for nodejs.
Comment 3 Meng Bo 2013-10-25 08:10:14 EDT
Checked on devenv_3944, node modules can be cleaned up when force_clean_build marker added.

Note You need to log in before you can comment on or make changes to this bug.